#################################################
#
#  (C) 2013 Alexander Golubev 
#  fatzer2 (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

add_subdirectory( kcmkuick )

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### libkuickplugin (kpart) ####################

tde_add_kpart( libkuickplugin AUTOMOC
  SOURCES kuick_plugin.cpp kdirmenu.cpp kmetamenu.cpp kimcontactmenu.cpp
  LINK tdeabc-shared konq-shared tdeimproxy-shared 
  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### other data ################################

tde_create_translated_desktop(
  SOURCE kuick_plugin.desktop
  DESTINATION ${SERVICES_INSTALL_DIR}
  PO_DIR konq-plugins-desktops
)

tde_create_translated_desktop(
  SOURCE kuickplugin.desktop
  DESTINATION ${APPS_INSTALL_DIR}/.hidden
  PO_DIR konq-plugins-desktops
)
